Index: c/src/lib/libbsp/powerpc/mvme5500/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/ChangeLog	(revision 69d901330f0ab29a48687f23083aca7137e64c61)
+++ c/src/lib/libbsp/powerpc/mvme5500/ChangeLog	(revision b3a78e3437e4af6a964e233134117a1ea489ed0f)
@@ -1,2 +1,9 @@
+2004-10-21	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* Makefile.am: Build networking.rel conditionally.
+	Reformat. Cosmetics.
+	* wrapup/Makefile.am: Build networking.rel conditionally.
+	* startup/bspstart.c: Eliminate RTEMS fixed size types.
+
 2004-10-21	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/powerpc/mvme5500/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/Makefile.am	(revision 69d901330f0ab29a48687f23083aca7137e64c61)
+++ c/src/lib/libbsp/powerpc/mvme5500/Makefile.am	(revision b3a78e3437e4af6a964e233134117a1ea489ed0f)
@@ -104,5 +104,6 @@
 EXTRA_PROGRAMS += irq.rel
 CLEANFILES += irq.rel
-irq_rel_SOURCES = irq/irq_init.c irq/GT64260Int.c irq/irq.c ../../powerpc/shared/irq/irq_asm.S
+irq_rel_SOURCES = irq/irq_init.c irq/GT64260Int.c irq/irq.c \
+    ../../powerpc/shared/irq/irq_asm.S
 irq_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 irq_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
@@ -170,4 +171,5 @@
 
 ##
+if HAS_NETWORKING
 include_bsp_HEADERS += network/GT64260eth.h network/GT64260ethreg.h
 
@@ -185,5 +187,5 @@
 
 noinst_DATA += network$(LIB_VARIANT).rel
-
+endif
 ##
 include_bsp_HEADERS += vme/VME.h vme/VMEConfig.h
@@ -223,5 +225,7 @@
 mvme5500start_g___OBJEXT__LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-project_lib_DATA += mvme5500start$(LIB_VARIANT).rel
+project_lib_DATA += mvme5500start$(LIB_VARIANT).$(OBJEXT)
+
+all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
 
 ###
@@ -310,4 +314,5 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/VPD.h
 
+if HAS_NETWORKING
 $(PROJECT_INCLUDE)/bsp/GT64260eth.h: network/GT64260eth.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/GT64260eth.h
@@ -317,4 +322,5 @@
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/GT64260ethreg.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/GT64260ethreg.h
+endif
 
 $(PROJECT_INCLUDE)/bsp/VME.h: vme/VME.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
@@ -334,7 +340,7 @@
 TMPINSTALL_FILES += $(PROJECT_LIB)/rtems_crti$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_LIB)/mvme5500start$(LIB_VARIANT).rel: mvme5500start$(LIB_VARIANT).rel $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/mvme5500start$(LIB_VARIANT).rel
-TMPINSTALL_FILES += $(PROJECT_LIB)/mvme5500start$(LIB_VARIANT).rel
+$(PROJECT_LIB)/mvme5500start$(LIB_VARIANT).$(OBJEXT): mvme5500start$(LIB_VARIANT).$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/mvme5500start$(LIB_VARIANT).$(OBJEXT)
+TMPINSTALL_FILES += $(PROJECT_LIB)/mvme5500start$(LIB_VARIANT).$(OBJEXT)
 
 CLEANFILES += $(PREINSTALL_FILES)
Index: c/src/lib/libbsp/powerpc/mvme5500/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/startup/bspstart.c	(revision 69d901330f0ab29a48687f23083aca7137e64c61)
+++ c/src/lib/libbsp/powerpc/mvme5500/startup/bspstart.c	(revision b3a78e3437e4af6a964e233134117a1ea489ed0f)
@@ -171,5 +171,5 @@
 extern void bsp_postdriver_hook(void); /* see c/src/lib/libbsp/shared/bsppost.c */
 
-extern void bsp_libc_init( void *, unsigned32, int );
+extern void bsp_libc_init( void *, uint32_t, int );
 
 /*
@@ -366,5 +366,5 @@
 
  /* tag the bottom (T. Straumann 6/36/2001 <strauman@slac.stanford.edu>) */
-  *((unsigned32 *)stack) = 0;
+  *((uint32_t *)stack) = 0;
 
   /* fill stack with pattern for debugging */
@@ -384,8 +384,8 @@
 
   /* make sure it's properly aligned */
-  (unsigned32)intrStack &= ~(CPU_STACK_ALIGNMENT-1);
+  (uint32_t)intrStack &= ~(CPU_STACK_ALIGNMENT-1);
 
   /* tag the bottom (T. Straumann 6/36/2001 <strauman@slac.stanford.edu>) */
-  *((unsigned32 *)intrStack) = 0;
+  *((uint32_t *)intrStack) = 0;
 
   _write_SPRG1((unsigned int)intrStack);
Index: c/src/lib/libbsp/powerpc/mvme5500/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/wrapup/Makefile.am	(revision 69d901330f0ab29a48687f23083aca7137e64c61)
+++ c/src/lib/libbsp/powerpc/mvme5500/wrapup/Makefile.am	(revision b3a78e3437e4af6a964e233134117a1ea489ed0f)
@@ -11,6 +11,9 @@
     ../irq$(LIB_VARIANT).rel ../pci$(LIB_VARIANT).rel \
     ../startup$(LIB_VARIANT).rel ../tod$(LIB_VARIANT).rel \
-    ../vectors$(LIB_VARIANT).rel ../GT64260$(LIB_VARIANT).rel \
-    ../network$(LIB_VARIANT).rel ../vme$(LIB_VARIANT).rel
+    ../vectors$(LIB_VARIANT).rel ../GT64260$(LIB_VARIANT).rel
+if HAS_NETWORKING
+    ../network$(LIB_VARIANT).rel
+endif
+___libbsp_a_LIBADD += ../vme$(LIB_VARIANT).rel
 
 EXTRA_LIBRARIES += ../libbsp_g.a
